Processing error “WARNING: RXTX Version mismatch”

Problem

Using Processing 1.5.1, I used to have this message when starting a sketch using serial communication:

WARNING: RXTX Version mismatch
Jar version = RXTX-2.2pre1
native lib Version = RXTX-2.2pre2

Also, I get another error when quitting the sketch:

APP_NAME a quitté de manière imprévue lors de l'utilisation du module librxtxSerial.jnlilib.

Invalid memory access of location 0xb19bdb60 eip=0x6301c90c

Solution

The easiest solution I found is to download Arduino (1.0.1 at that time) and copy 2 fils from Arduino folder to Processing folder.

  • Quit Processing
  • Open Arduino and Processing packages (right click application file, show package content)
  • Find RXTXcomm.jar and librxtxSerial.jnilib in /Applications/Arduino.app/Contents/Resources/Java
  • Find the same files in Processing package (in /Applications/Processing.app/Contents/Resources/Java/modes/java/libraries/serial/library and the macosx subfolder)
  • Copy each file from Arduino folder and replace them in Processing folder

Comments are closed.